Page MenuHomePhabricator

Android app does not set the "mobile edit" change tag
Closed, ResolvedPublic1 Story Points

Description

Currently, the Android app correctly sets the "mobile app edit" change tag, but does not set the "mobile edit" tag that has accompanied it in the past. Here's an example, made with a device running version 2.3.150-beta-2016-07-25 of the app.

The "mobile app edit" tag seems to be applied server-side by the Mobile App extension, while MobileFrontend's server-side component seems to handle the "mobile edit" tag; I'm not sure which code is actually responsible here.

I use these tags extensively to track app editing, so I consider them quite important :)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 29 2016, 10:17 PM
Neil_P._Quinn_WMF triaged this task as Normal priority.Jul 29 2016, 11:19 PM

It looks like large numbers of edits with the tags like this started appearing on 16 February 2016, so that's probably when the responsible version of the app was fully released. Maybe version 2.1.141-r-2016-02-10?

Neil_P._Quinn_WMF raised the priority of this task from Normal to Needs Triage.Aug 3 2016, 7:02 PM
Dbrant added a subscriber: Dbrant.Aug 31 2016, 8:52 PM

I think I know what's happening here:
Right around the time frame you mentioned, the app switched to using the "desktop" domain (en.wp) for all of its API transactions, instead of the mobile domain (en.m.wp). This was done to simplify certain things in the app, as well as prepare it for integration with the new Mobile Content Service (RestBase).

And of course, when edits come in to the mobile domain, they're tagged as mobile edit, and since the app no longer targets the mobile domain, we're no longer seeing that tag.

If you absolutely need the app to set the mobile edit tag, we can look into adding the tag explicitly to the MobileApp extension, which also sets the mobile app edit tag. But I'm also curious about how the lack of this tag is messing up your queries. (can you give an example?)

Thanks for looking into this, @Dbrant!

I've used the mobile edit tag extensively in the past to calculate the overall number of mobile edits when it wasn't important to differentiate between mobile web edits and mobile app edits (T138894 is an example where I now know the data was affected by it). Now that I know it's an issue, I can work around it by always using the mobile app edit and mobile web edit tags separately.

Using two tags instead of one is harder, but that's not the main issue; the main issue is that the mobile edit is generally understood to mark all edits that were made from a mobile device (for example, see the description message on enwiki). It's true that this has always left out edits made from a mobile device using the desktop interface, but it was still a good approximation; now that is no longer true because many (but not all) app edits don't get the tag.

This adds yet another unintuitive layer to our data ecosystem, which I'm reluctant to do. It's true that it all makes sense if you're familiar with the source code that applies the tags, but I think most people using the data aren't; I use it extensively and I didn't know it until I started investigating this :)

@Jdlrobson @Jhernandez
We're considering allowing the MobileApp extension to set the mobile edit tag in addition to the mobile app edit tag, per above discussion. If we do this, would it conflict with MobileFrontend's setting of the mobile edit tag? That is, would it cause any errors or "duplicate" tags (or other issues)? If not, we'd like to proceed with this change soon.

Change 313618 had a related patch set uploaded (by Dbrant):
Explicitly set "mobile edit" tag.

https://gerrit.wikimedia.org/r/313618

Change 313618 merged by jenkins-bot:
Explicitly set "mobile edit" tag.

https://gerrit.wikimedia.org/r/313618

Dbrant set the point value for this task to 1.
Dbrant moved this task from To Do to Done on the Mobile-App-Android-Sprint-92-Uranium board.
Dbrant closed this task as Resolved.Oct 11 2016, 2:12 PM
Dbrant claimed this task.